Remove upstream patches.
This commit is contained in:
parent
46116a25f4
commit
56c253b0b1
@ -1,29 +0,0 @@
|
|||||||
From 0fa4a5cb0503e28b836d62ec80d1bd93ca31422b Mon Sep 17 00:00:00 2001
|
|
||||||
From: "Richard W.M. Jones" <rjones@redhat.com>
|
|
||||||
Date: Tue, 6 Nov 2012 13:05:15 +0000
|
|
||||||
Subject: [PATCH] format: Allow virt-format test to be skipped by setting
|
|
||||||
SKIP_TEST_VIRT_FORMAT_SH=1.
|
|
||||||
|
|
||||||
---
|
|
||||||
format/test-virt-format.sh | 5 +++++
|
|
||||||
1 file changed, 5 insertions(+)
|
|
||||||
|
|
||||||
diff --git a/format/test-virt-format.sh b/format/test-virt-format.sh
|
|
||||||
index 2035e67..a6f81e0 100755
|
|
||||||
--- a/format/test-virt-format.sh
|
|
||||||
+++ b/format/test-virt-format.sh
|
|
||||||
@@ -20,6 +20,11 @@
|
|
||||||
|
|
||||||
set -e
|
|
||||||
|
|
||||||
+if [ -n "$SKIP_TEST_VIRT_FORMAT_SH" ]; then
|
|
||||||
+ echo "$0: test skipped because environment variable is set."
|
|
||||||
+ exit 77
|
|
||||||
+fi
|
|
||||||
+
|
|
||||||
rm -f test1.img
|
|
||||||
|
|
||||||
../fish/guestfish -N bootrootlv exit
|
|
||||||
--
|
|
||||||
1.7.11.4
|
|
||||||
|
|
@ -1,30 +0,0 @@
|
|||||||
From 6ac943fbef4fa8386da456048f856a387f941fc2 Mon Sep 17 00:00:00 2001
|
|
||||||
From: "Richard W.M. Jones" <rjones@redhat.com>
|
|
||||||
Date: Sat, 3 Nov 2012 10:10:12 +0000
|
|
||||||
Subject: [PATCH] tests: wipefs: Don't try to wipe mounted filesystem.
|
|
||||||
|
|
||||||
Previously wipefs (the utility) allowed this, but it's obviously a bad
|
|
||||||
thing to do and the new wipefs gives an error if you try it:
|
|
||||||
|
|
||||||
wipefs: error: /dev/VG/LV: probing initialization failed: Device or resource busy
|
|
||||||
---
|
|
||||||
generator/actions.ml | 3 ++-
|
|
||||||
1 file changed, 2 insertions(+), 1 deletion(-)
|
|
||||||
|
|
||||||
diff --git a/generator/actions.ml b/generator/actions.ml
|
|
||||||
index 5c3de52..65d2785 100644
|
|
||||||
--- a/generator/actions.ml
|
|
||||||
+++ b/generator/actions.ml
|
|
||||||
@@ -8967,7 +8967,8 @@ is I<not> intended that you try to parse the output string." };
|
|
||||||
optional = Some "wipefs";
|
|
||||||
tests = [
|
|
||||||
InitBasicFSonLVM, Always, TestRun (
|
|
||||||
- [["wipefs"; "/dev/VG/LV"]])
|
|
||||||
+ [["umount"; "/dev/VG/LV"; ""; ""];
|
|
||||||
+ ["wipefs"; "/dev/VG/LV"]])
|
|
||||||
];
|
|
||||||
shortdesc = "wipe a filesystem signature from a device";
|
|
||||||
longdesc = "\
|
|
||||||
--
|
|
||||||
1.7.11.4
|
|
||||||
|
|
@ -43,12 +43,6 @@ Patch2: libguestfs-1.19.2-remove-udev-from-packagelist.patch
|
|||||||
# on i386 only. This works around a bug in 32-bit qemu (RHBZ#857026).
|
# on i386 only. This works around a bug in 32-bit qemu (RHBZ#857026).
|
||||||
Patch3: 0001-i386-Add-noapic-flag-to-work-around-a-qemu-or-kernel.patch
|
Patch3: 0001-i386-Add-noapic-flag-to-work-around-a-qemu-or-kernel.patch
|
||||||
|
|
||||||
# Upstream patch to fix wipefs test.
|
|
||||||
Patch4: 0001-tests-wipefs-Don-t-try-to-wipe-mounted-filesystem.patch
|
|
||||||
|
|
||||||
# Upstream patch to allow skipping the virt-format test.
|
|
||||||
Patch5: 0001-format-Allow-virt-format-test-to-be-skipped-by-setti.patch
|
|
||||||
|
|
||||||
%if 0%{?rhel} >= 7
|
%if 0%{?rhel} >= 7
|
||||||
ExclusiveArch: x86_64
|
ExclusiveArch: x86_64
|
||||||
%endif
|
%endif
|
||||||
@ -701,8 +695,6 @@ autoreconf -i
|
|||||||
%endif
|
%endif
|
||||||
%patch2 -p1
|
%patch2 -p1
|
||||||
%patch3 -p1
|
%patch3 -p1
|
||||||
%patch4 -p1
|
|
||||||
%patch5 -p1
|
|
||||||
|
|
||||||
mkdir -p daemon/m4
|
mkdir -p daemon/m4
|
||||||
|
|
||||||
|
Loading…
Reference in New Issue
Block a user